Index: trunk/MagicSoft/Mars/datacenter/scripts/runcorsika
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/runcorsika	(revision 9612)
+++ trunk/MagicSoft/Mars/datacenter/scripts/runcorsika	(revision 9618)
@@ -207,4 +207,19 @@
 case $check1 in
    0)   printprocesslog "INFO $program finished successfully for run $run file $file (return code $check1)"
+        if [ $file -gt 999 ]
+        then 
+           corsikafilenew=$mcpath/$program/`printf %08d $run | cut -c 1-4`/`printf %08d $run | cut -c 5-8`/cer000`printf %06d $file | cut -c 4-6`
+           corsikafileold=$mcpath/$program/`printf %08d $run | cut -c 1-4`/`printf %08d $run | cut -c 5-8`/cer`printf %06d $file`
+           if ! mv $corsikafileold $corsikafilenew
+           then
+              printprocesslog "ERROR could not mv $corsikafileold to $corsikafilenew"
+              check=2
+           fi
+        fi
+        if ! grep 'END OF RUN' $logfile
+        then
+           printprocesslog "ERROR could not find 'END OF RUN' in $logfile => unknown error for run $run file $file "
+           check=2
+        fi
         ;;
    *)   printprocesslog "ERROR $program failed for run $run file $file (return code $check1)"
Index: trunk/MagicSoft/Mars/datacenter/scripts/setup.wue.fact.mc
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/setup.wue.fact.mc	(revision 9612)
+++ trunk/MagicSoft/Mars/datacenter/scripts/setup.wue.fact.mc	(revision 9618)
@@ -95,23 +95,21 @@
 
 #hour:            0  1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23
-pnototal=(       42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 )
-pnototalwe=(     42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 42 )
+pnototal=(       32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 )
+pnototalwe=(     32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 )
 
 pnocorsika=(     30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 )
-pnoceres=(       15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 )
-pnocprun=(       15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 )
-pnocallisto=(    32 32 32 32 32 30 30 18 18 15 15 15 15 15 15 15 15 15 15 18 18 30 30 32 )
+pnoceres=(       20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 )
+pnocallisto=(    32 32 32 32 32 30 30 18 18 20 20 20 20 20 20 20 20 20 20 18 18 30 30 32 )
 pnostar=(        10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 )
 
 pnocorsikawe=(   30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 )
-pnocereswe=(     15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 )
-pnocprunwe=(     15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 )
+pnocereswe=(     20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 )
 pnocallistowe=(  32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 )
 pnostarwe=(      10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 )
 
 # set variables for jobmanager 
-scripts=( "runcorsika" "runceres" ) 
-scriptscolname=( "Corsika" "Ceres" ) 
-pnosweek=( ${pnocorsika[@]} ${pnoceres[@]} ) 
-pnoswe=( ${pnocorsikawe[@]} ${pnocereswe[@]} ) 
+scripts=( "runcorsika" "runceres" "runcallisto_mc" "runstar_mc" ) 
+scriptscolname=( "Corsika" "Ceres" "Callisto" "Star" ) 
+pnosweek=( ${pnocorsika[@]} ${pnoceres[@]} ${pnocallisto[@]} ${pnostar[@]} ) 
+pnoswe=( ${pnocorsikawe[@]} ${pnocereswe[@]} ${pnocallistowe[@]} ${pnostarwe[@]} ) 
 
Index: trunk/MagicSoft/Mars/datacenter/scripts/sourcefile
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/sourcefile	(revision 9612)
+++ trunk/MagicSoft/Mars/datacenter/scripts/sourcefile	(revision 9618)
@@ -108,55 +108,4 @@
 check="ok"
 
-#failed codes
-#sequence build status
-Fbuildsequ=1
-Fdoexcl=2
-#run process status
-Ftimecorr=3
-Ffillraw=4
-Fsinope=5
-Ffillsinope=6
-Fresetexcl=7
-#sequence process status
-Fwritesequfile=8
-Ffilesavail=9
-Fnoccfile=10
-Fnocacofile=11
-Fmerppcc=12
-Fmerppcaco=13
-Fcallisto=14
-Ffillcalib=15
-Ffillsignal=16
-Fstar=17
-Ffillstar=18
-#dataset process status
-Fwritedatasetfile=19
-Fstardone=20
-Fganymed=21
-Ffillganymed=22
-#again run process status
-FCompmux=26
-Fdowebplots=27
-#again mc run process status
-Fmccallisto=28
-Ffillmccalib=29
-Ffillmcsignal=30
-Fmcstar=31
-Ffillmcstar=32
-Fcorsikasimtel=33
-Fchimp=34
-Fchimpcp=35
-Fctastar=36
-Fctastarcp=37
-FctastereoA=38
-FctastereoB=39
-FctastereoC=40
-FctastereoD=41
-FctastereoE=42
-FctastereoF=43
-FctastereoG=44
-FctastereoH=45
-Fctastereocp=46
-
 # setup for jobmanager:
 #   log files (can't be defined in script itself, as script can run longer 
@@ -177,5 +126,5 @@
 fi
 
-# resetting values
+# resetting values for jobmanager
 pno=0
 totalpno=0
